Package org.apache.sysds.runtime.instructions.gpu

# Enum Class GPUInstruction.GPUINSTRUCTION_TYPE

java.lang.Object
java.lang.Enum<GPUInstruction.GPUINSTRUCTION_TYPE>
org.apache.sysds.runtime.instructions.gpu.GPUInstruction.GPUINSTRUCTION_TYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<GPUInstruction.GPUINSTRUCTION_TYPE>`, `Constable`

Enclosing class:
  GPUInstruction

public static enum GPUInstruction.GPUINSTRUCTION_TYPE extends Enum<GPUInstruction.GPUINSTRUCTION_TYPE>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AggregateBinary`
`AggregateUnary`
`Append`
`ArithmeticBinary`
`Builtin`
`BuiltinBinary`
`BuiltinUnary`
`Dnn`
`MatrixIndexing`
`MatrixReshape`
`MMTSJ`
`RelationalBinary`
`Reorg`
`SpoofFused`

## Method Summary

Modifier and Type
Method
Description
`static GPUInstruction.GPUINSTRUCTION_TYPE`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GPUInstruction.GPUINSTRUCTION_TYPE[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AggregateUnary

public static final GPUInstruction.GPUINSTRUCTION_TYPE AggregateUnary

### AggregateBinary

public static final GPUInstruction.GPUINSTRUCTION_TYPE AggregateBinary

### RelationalBinary

public static final GPUInstruction.GPUINSTRUCTION_TYPE RelationalBinary

### Dnn

public static final GPUInstruction.GPUINSTRUCTION_TYPE Dnn

### MMTSJ

public static final GPUInstruction.GPUINSTRUCTION_TYPE MMTSJ

### Reorg

public static final GPUInstruction.GPUINSTRUCTION_TYPE Reorg

### MatrixReshape

public static final GPUInstruction.GPUINSTRUCTION_TYPE MatrixReshape

### Append

public static final GPUInstruction.GPUINSTRUCTION_TYPE Append

### ArithmeticBinary

public static final GPUInstruction.GPUINSTRUCTION_TYPE ArithmeticBinary

### BuiltinUnary

public static final GPUInstruction.GPUINSTRUCTION_TYPE BuiltinUnary

### BuiltinBinary

public static final GPUInstruction.GPUINSTRUCTION_TYPE BuiltinBinary

### Builtin

public static final GPUInstruction.GPUINSTRUCTION_TYPE Builtin

### MatrixIndexing

public static final GPUInstruction.GPUINSTRUCTION_TYPE MatrixIndexing

### SpoofFused

public static final GPUInstruction.GPUINSTRUCTION_TYPE SpoofFused

## Method Details

### values

public static GPUInstruction.GPUINSTRUCTION_TYPE[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static GPUInstruction.GPUINSTRUCTION_TYPE valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null